明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1235|回复: 1

看看什么问题

[复制链接]
发表于 2004-7-28 13:14:00 | 显示全部楼层 |阅读模式
Sub Ch9_SwitchToPaperSpace()
' Set the active space to paper space
ThisDrawing.ActiveSpace = acPaperSpace

' Create the paperspace viewport
Dim newVport As AcadPViewport
Dim center(0 To 2) As Double
center(0) = 3.25
center(1) = 3
center(2) = 0
Set newVport = ThisDrawing.PaperSpace. _
AddPViewport(center, 6, 5)

' Change the view direction for the viewport
Dim viewDir(0 To 2) As Double viewDir(0) = 1
viewDir(1) = 1
viewDir(2) = 1
newVport.direction = viewDir

' Enable the viewport
newVport.Display True

' Switch to model space
ThisDrawing.MSpace = True

' Set newVport current
' (not always necessary but a good idea)
ThisDrawing.ActivePViewport = newVport

' Zoom Extents in model space
ZoomExtents

' Turn model space editing off ThisDrawing.MSpace = False

' ZoomExtents in paperspace
ZoomExtents End Sub 是什么问题啊
发表于 2004-7-28 22:12:00 | 显示全部楼层
你的程序有什么问题呀?
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-28 02:46 , Processed in 0.154495 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表